
/*  LAYOUT
    =========================================================  */

:root{
    --c-light: #f9f9f9;
    --c-pressed: #eaeaea;
    --c-border: lightgrey;
    --c-text: grey;
    --c-active: mediumblue;
}

html,
input,
button{
    font-family: system-ui;
}

@media only screen{
    body{
        display: grid;
        grid-template-columns: 21rem 1fr;
        height: 100vh;
        overflow: hidden;
    }

    body > aside{
        overflow: auto;
        padding: 1rem;
        line-height: 1.4;
    }
    .slides-container{
        box-sizing: border-box;
        background-color: lightgray;
        overflow: auto;
        display: flex;
        align-items: center;
        justify-content: center;
    }
}
/* @media print{
    body > aside{
        display: none;
    }
    .slides-container{
        display: block;
        gap: 0;
        padding: 0;
    }
    .slides-container > article.slide{
        break-after: page;
        page-break-inside: avoid;
    }
} */

/*  CONTROLS
    =========================================================  */

.controls{
    line-height: var(--lh);
    font-family: monospace;
    font-size: var(--fs-control);

    --fs-control: 0.725rem;
    --border-width: 1.5px;
    --border: var(--border-width) solid var(--c-border);
    --pad: 0.5rem;
    --lh: 1.25em;

    border-right: var(--border);
}

/* text */
.controls h2{
    margin-top: var(--lh);
    margin-bottom: calc(var(--lh) * 0.5);
    font-family: inherit;
    font-weight: bold;
}
.controls h3{
    margin-top: calc(var(--lh) * 0.5);
    margin-bottom: calc(var(--lh) * 0.5);
    font-family: inherit;
}
.controls p {
    margin-top: calc(var(--lh) * 0.5);
    color: var(--c-text);
    font-size: 0.85em;
}
.controls footer{
    font-size: 0.85em;
    margin-top: calc(var(--lh) * 4);
    padding-top: var(--lh);
    border-top: var(--border);
    color: var(--c-text);
}
.controls > *:first-child{
    margin-top: 0;
}
.controls code{
    display: inline-block;
    background-color: var(--c-pressed);
    border-radius: calc(var(--pad) * 0.5);
    padding: 0 var(--pad);
}

/* STANDARD UI: text-area */
.controls textarea,
.controls input[type="text"]{
    box-sizing: border-box;
    width: 100%;
    padding: var(--pad);
    border: var(--border);

    line-height: 1.15rem;
    font-family: monospace;
    font-size: var(--fs-control);
}
.controls textarea{
    height: calc(var(--lh) * 10);
}

/* STANDARD UI: slider */
.controls input[type="range"]{
    width: 100%;
}

/* STANDARD UI: buttons */
.controls button,
.controls input[type="radio"] + label,
.controls input[type="file"] + label,
.controls input[type="checkbox"] + label,
.controls select{
    display: inline-block;
    box-sizing: border-box;
    padding: calc(var(--pad) * 0.5) var(--pad);
    border: var(--border);
    font-family: inherit;
    line-height: inherit;
    cursor: pointer;
    font-size: 1em;
    border-radius: var(--pad);
    background-color: var(--c-light);
    color: var(--c-text)
}
.controls button:hover,
.controls input[type="radio"] + label:hover,
.controls input[type="file"] + label:hover,
.controls input[type="checkbox"] + label:hover,
.controls select:hover{
    border-color: var(--c-active);
    color: var(--c-active);
    z-index: 999;
    position: relative;
}
.controls button:active,
.controls input[type="radio"] + label:active,
.controls input[type="file"] + label:active,
.controls input[type="checkbox"] + label:active,
.controls select:active{
    background-color: var(--c-pressed);
}

/* margin adjustment */
.controls button + *{
    margin-top: calc(var(--lh) * 0.5);
}
.controls h2 + button{
    margin-top: 0;
}

/* STANDARD UI: radio */
.controls input[type="radio"],
.controls input[type="file"]{
    display: none;
}
.controls input[type="radio"] + label{
    display: block;
    flex: 1 0;
    color: var(--c-text);
    border-radius: 0;
    margin-top: calc(-1 * var(--border-width));
    margin-right: calc(-1 * var(--border-width));
}
.controls .radio-selector{
    display: flex;
}

/* STANDARD UI: checkbox */
.controls input[type="checkbox"]{
    display: none;
}


/* checked */
.controls input[type="radio"]:checked + label,
.controls input[type="checkbox"]:checked + label{
    color: white;
    border-color: var(--c-active);
    background-color: var(--c-active);
    position: relative;
    z-index: 1;
}

.controls input[type="checkbox"] + label::before {
    content: "☐";
    padding-right: .5ch;
    font-size: 200%;
}

.controls input[type="checkbox"]:checked + label::before {
    content: "☒";
    padding-right: .5ch;
    font-size: 200%;
}

/*  MODE UI TABS
    =========================================================  */

#filters{
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
    pointer-events: none;
}

/*  post layout
    ---------------------------------------------------------- */

canvas#post{
    box-sizing: border-box;
    background: white;
    position: relative;
    overflow: hidden;
    outline: 1px solid dimgray;
}



@media screen {
    .resize{
        transform: scale(0.5);
        transform-origin: top left;

        display: flex;
        gap: 2rem;
        padding: 2rem;

        overflow: visible;
    }

    body.logo .resize{
        transform: scale(0.5);
    }

    canvas.slide{
        flex-grow: 0;
        flex-shrink: 0;
        margin: 0 auto;
    }
}

label:has(input[type="text"], input[type="range"], textarea) {
	margin-top: 2ch;
}
label input, label textarea {
	margin-top: 1ch;
}

input[type="checkbox"] + label,
input[type="file"] + label {
    margin-top: 1ch;
}
.controls .radio-selector {
    display: flex;
    align-items: baseline;
    margin-top: 2ch;
}
.radio-selector label:first-child {
    margin-right: 3ch;
}

.controls legend h2 {
    margin-bottom: 0;
}

.controls fieldset {
    margin-top: 2ch;
}

.grouped-controls {
    display: flex;
    column-gap: 1ch;
}

.grouped-controls label {
    flex: 1 0;
}

label:has(select) {
    display: flex;
    align-items: baseline;
    gap: 2ch;
    margin-top: 1ch;
}

select {
    flex-grow: 1;
}

[data-active="false"] {
    display: none;
}

fieldset,
fieldset section {
    display: flex;
    flex-direction: column;
}